Bug 420683 - Inaccurate decimal precision of South Korean Won (KRW)
Summary: Inaccurate decimal precision of South Korean Won (KRW)
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: git (master)
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-27 21:41 UTC by Shinjo Park
Modified: 2020-06-05 04:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shinjo Park 2020-04-27 21:41:54 UTC
SUMMARY
Currently in KMyMoney's currency setting, both "Smallest cash unit" and "Smallest money unit" is set to KRW 0.01. However, in every Korean bank statements and stock price tickers the price is always presented in the unit of KRW 1 (no decimal points). Only in foreign exchange markets rates are announced in the precision of KRW 0.01, and it is usually rounded down when it becomes to accounting.

At kmymoney/kmymoney/mymoney/mymoneyfile.cpp:
currencyList.append(MyMoneySecurity("KRW", i18n("South Korean Won"),       QChar(0x20A9)));

This should be:
currencyList.append(MyMoneySecurity("KRW", i18n("South Korean Won"),       QChar(0x20A9), 1));
Comment 1 Thomas Baumgart 2020-05-24 17:36:56 UTC
Git commit 8025e549001ebbdbe3f2aa09074dd5a23ed06836 by Thomas Baumgart, on behalf of Shinjo Park.
Committed on 24/05/2020 at 17:36.
Pushed by tbaumgart into branch 'master'.

Set the minimum unit of KRW into 1

Although the subdivision of South Korean Won exists de jure, it is de
facto not used in bank statements and stock price tickers. Only in
foreign exchange markets the subdivision is used but they are rounded
down when it becomes to accounting. Thus adjust the precision of South
Korean Won to 1.

M  +1    -1    kmymoney/mymoney/mymoneyfile.cpp

https://invent.kde.org/office/kmymoney/commit/8025e549001ebbdbe3f2aa09074dd5a23ed06836
Comment 2 Thomas Baumgart 2020-05-24 17:38:18 UTC
Git commit 5c3505f00cecb57ae89316ec7930990dc85ad400 by Thomas Baumgart.
Committed on 24/05/2020 at 17:38.
Pushed by tbaumgart into branch '5.0'.

Set the minimum unit of KRW into 1

Although the subdivision of South Korean Won exists de jure, it is de
facto not used in bank statements and stock price tickers. Only in
foreign exchange markets the subdivision is used but they are rounded
down when it becomes to accounting. Thus adjust the precision of South
Korean Won to 1.
FIXED-IN: 5.0.9

(cherry picked from commit 8025e549001ebbdbe3f2aa09074dd5a23ed06836)

M  +1    -1    kmymoney/mymoney/mymoneyfile.cpp

https://invent.kde.org/office/kmymoney/commit/5c3505f00cecb57ae89316ec7930990dc85ad400